#include "green_motor.h"

// GREEN SERVO FUNCTIONS STARTS

void Clock_Init_portB5_timer(void){
	volatile unsigned delay_clk;
	RCGC2_GPIO_R |= CLOCK_GPIOB;
	//delay_clk = SYSCTL_RCGCGPIO_R;  //dummy read to stable the clock
	RCGC_TIMER_R |= TIMER1_CLK_EN;
	//delay_clk = SYSCTL_RCGCGPIO_R;  //dummy read to stable the clock
}//
void PortB5_Init(void){ // PORTF PF2 ALTENATE SETTINGS
	GPIO_PORTB5_AFSEL_R |= 0x20;
	GPIO_PORTB5_PCTL_R |= 0x00700000;//B5
	GPIO_PORTB5_DEN_R |= 0x20;
	GPIO_PORTB5_DIR_R |= 0x20;
}
void TimerTYPEGREEN(void){ // CONFIGURE TYPE OF TIMER
	GPTM_CONFIG_R |= TIM_16_BIT_CONFIG;
	GPTM_TB_MODE_R |= TIM_PWM_MODE;
	GPTM_TB_MODE_R &= ~TIM_CAPTURE_MODE;
}
	

void TimerDisableGREEN(void){ // DISABLE THE TIMER
	GPTM_CONTROL_R &= ~TIM_B_EN;
}

void TimerEnableGREEN(void){ // ENABLE THE TIMER
GPTM_CONTROL_R |= TIM_B_EN;
}





void GREENSERVO(int MATCH){
		TimerDisableGREEN();
	GPTM_CONFIG_R =0;
	GPTM_TB_MODE_R =0;
	GPTM_TB_MODE_R =0;

	GPTM_TB_IL_R = 0;
	GPTM_TB_PRESCALE_R = 0;
	GPTM_TB_PRESCALE_MATCH_R = 0;
	GPTM_TB_MATCH_R = 0	;
		
	TimerDisableGREEN();
TimerTYPEGREEN();
	GPTM_TB_IL_R = 57855;
	GPTM_TB_PRESCALE_R = 4;
	GPTM_TB_PRESCALE_MATCH_R = 4;
	GPTM_TB_MATCH_R = MATCH	;
	TimerEnableGREEN();
}


// GREENSERVO ENDS