#include "red_motor.h"


// FUNCTIONS BODY FOR REDPWM FROM PWM.H STARTS 

void Clock_Init_portf_timer(void){
	volatile unsigned delay_clk;
	RCGC2_GPIO_R |= CLOCK_GPIOF;
	//delay_clk = SYSCTL_RCGCGPIO_R;  //dummy read to stable the clock
	RCGC_TIMER_R |= TIMER1_CLK_EN;
//	delay_clk = SYSCTL_RCGCGPIO_R;  //dummy read to stable the clock
}
void Portf_Init(void){ // PORTF PF2 ALTENATE SETTINGS
	GPIO_PORTF_AFSEL_R |= 0x04;
	GPIO_PORTF_PCTL_R |= 0x00000700;
	GPIO_PORTF_DEN_R |= 0x04;
	GPIO_PORTF_DIR_R |= 0x04;
}
void TimerTYPE(void){ // CONFIGURE TYPE OF TIMER
	GPTM_CONFIG_R |= TIM_16_BIT_CONFIG;
	GPTM_TA_MODE_R |= TIM_PWM_MODE;
	GPTM_TA_MODE_R &= ~TIM_CAPTURE_MODE;
}
	

void TimerDisable(void){ // DISABLE THE TIMER
	GPTM_CONTROL_R &= ~TIM_A_EN;
}

void TimerEnable(void){ // ENABLE THE TIMER
GPTM_CONTROL_R |= TIM_A_EN;
}


void REDSERVO(int PRESCALE){
		TimerDisable();
	GPTM_CONFIG_R =0;
	GPTM_TA_MODE_R =0;
	GPTM_TA_MODE_R =0;

	GPTM_TA_IL_R = 0;
	GPTM_TA_PRESCALE_R = 0;
	GPTM_TA_PRESCALE_MATCH_R = 0;
	GPTM_TA_MATCH_R = 0	;
		
	TimerDisable();
TimerTYPE();
	GPTM_TA_IL_R = 57855;
	GPTM_TA_PRESCALE_R = 4;
	GPTM_TA_PRESCALE_MATCH_R = 4;
	GPTM_TA_MATCH_R = PRESCALE	;
	TimerEnable();
}
// REDPWM ENDS

