
#include "blue_motor.h"



void Clock_Init_portB_timer(void){
	RCGC2_GPIO_R |= CLOCK_GPIOB;
	RCGC_TIMER_R |= TIMER1_CLK_EN;
}
void PortB_Init(void){ // PORTF PF2 ALTENATE SETTINGS
	GPIO_PORTB_AFSEL_R |= 0x10;
	GPIO_PORTB_PCTL_R |= 0x00070000;
	GPIO_PORTB_DEN_R |= 0x10;
	GPIO_PORTB_DIR_R |= 0x10;
}
void TimerTYPEBLUE(void){ // CONFIGURE TYPE OF TIMER
	GPTM_CONFIG_R |= TIM_16_BIT_CONFIG;
	GPTM_TA_MODE_R |= TIM_PWM_MODE;
	GPTM_TA_MODE_R &= ~TIM_CAPTURE_MODE;
}
	

void TimerDisableBLUE(void){ // DISABLE THE TIMER
	GPTM_CONTROL_R &= ~TIM_A_EN;
}

void TimerEnableBLUE(void){ // ENABLE THE TIMER
GPTM_CONTROL_R |= TIM_A_EN;
}



void SystemInit() {

}

void delay(unsigned long counter) {
	while(counter) {
		--counter;
	}
}

void BLUESERVO(int MATCH){
/*		TimerDisableBLUE();
	GPTM_CONFIG_R =0;
	GPTM_TA_MODE_R =0;
	GPTM_TA_MODE_R =0;

	GPTM_TA_IL_R = 0;
	GPTM_TA_PRESCALE_R = 0;
	GPTM_TA_PRESCALE_MATCH_R = 0;
	GPTM_TA_MATCH_R = 0	;*/
		
	TimerDisableBLUE();
TimerTYPEBLUE();
	GPTM_TA_IL_R = TIM_A_INTERVAL;
	GPTM_TA_PRESCALE_R = PRESCALE_FACTOR;
	GPTM_TA_PRESCALE_MATCH_R = PRESCALE_FACTOR;
	GPTM_TA_MATCH_R = MATCH	;
	TimerEnableBLUE();
}





	